// Бибилиотека разработана для ультразвукового датчика расстояния:
// HC-SR04 http://iarduino.ru/shop/Sensory-Datchiki/ultrazvukovogo-datchika-hc-sr04-rasstoyaniya-dvizheniya.html
// Вывод TRIG датчика HC_SR04 подключается к любому выводу Arduino
// Вывод ECHO датчика HC_SR04 подключается только к выводу Arduino использующему внешнее прерывание

// Подключаем библиотеку:
#include <iarduino_HC_SR04_int.h>    // подключаем библиотеку для работы с датчиком
iarduino_HC_SR04_int hcsr(2,3);      // объявляем объект для работы с датчиком, указывая номера arduino подключенные к выводам TRIG и ECHO датчика

void setup(){
  Serial.begin(9600);                //  инициализация передачи данных по COM-порту
}

void loop(){
  delay(500);                        //  задержка 0,5 сек
  Serial.println(hcsr.distance());   //  вывод расстояния
}

// функция distance() может принимать в качестве параметра температуру воздуха в °C для увеличения точности измерений (по умолчанию +23°C)
// температура указывается целым числом от -128 до +127
